# $Revision: 1.14 $, $Date: 2006/10/17 15:02:43 $
Summary:	Perl script which generates statistics from IRC logfiles
Summary(pl):	Skrypt perlowy generujcy statystyki z plikw logujcych IRC-a
Name:		pisg
Version:	0.70
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/pisg/%{name}-%{version}.tar.gz
# Source0-md5:	870c5ddf353c70d32159ac2dd310efc7
Patch0:		%{name}-config.patch
URL:		http://pisg.sourceforge.net/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pisg is an IRC channel statics generator written in Perl, it creates
statistics from different logfile formats. The supported logfile
formats is explained in the FORMATS file. It was originally written
because IRCStats wasn't open source. It's highly customizable.
Extensive documentation can be found at:
<http://pisg.sourceforge.net/docs/>.

%description -l pl
pisg jest napisanym w Perlu generatorem statystyk kanau IRC. Tworzy
je z rnych formatw plikw logujcych. Obsugiwane formaty s
objanione w pliku FORMATS. Jest wysoko konfigurowalny. Obszerniejsza
dokumentacja znajduje si na: <http://pisg.sourceforge.net/docs/>.

%prep
%setup -q
%patch0 -p1
mv docs/pisg.1 .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/pisg,%{_datadir}/pisg,%{_bindir}}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install pisg.1 $RPM_BUILD_ROOT%{_mandir}/man1
install pisg.cfg $RPM_BUILD_ROOT%{_sysconfdir}/pisg
cp -R gfx layout modules pisg lang.txt $RPM_BUILD_ROOT%{_datadir}/pisg
cat <<'EOF' > $RPM_BUILD_ROOT%{_bindir}/pisg
#!/bin/sh
exec %{_datadir}/pisg/pisg "$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs scripts
%attr(755,root,root) %{_bindir}/pisg
%dir %{_sysconfdir}/pisg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pisg/pisg.cfg
%dir %{_datadir}/pisg
%{_datadir}/pisg/gfx
%{_datadir}/pisg/layout
%{_datadir}/pisg/modules
%attr(755,root,root) %{_datadir}/pisg/pisg
%{_datadir}/pisg/lang.txt
%{_mandir}/man1/pisg*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pisg.spec,v $
Revision 1.14  2006/10/17 15:02:43  glen
- 0.70

Revision 1.13  2006/06/01 21:39:48  andree
- updated to 0.68
- changed SOURCE location

Revision 1.12  2005/06/12 18:57:25  glen
- 0.66

Revision 1.11  2005/04/03 22:35:54  qboosh
- en typo, cosmetics

Revision 1.10  2005/04/03 12:42:34  glen
- no man to doc and keep re-entrant %install

Revision 1.9  2005/04/03 12:40:23  andree
- reverted s/mv -f/install/

Revision 1.8  2005/04/03 12:35:36  glen
- re-entrant %install
- unify

Revision 1.7  2005/04/03 12:33:12  andree
- rel. 1 STBR

Revision 1.6  2005/04/03 11:42:35  andree
- BuildArch: noarch
- moved scripts do docs, man page to mandir

Revision 1.5  2005/04/02 17:25:58  ankry
- pl fix, formatting

Revision 1.4  2005/04/02 13:17:31  darekr
- poor pl desc; removed empty %build

Revision 1.3  2005/04/02 13:10:23  glen
- %desc fix; wrapper fix

Revision 1.2  2005/04/02 12:37:38  darekr
- use macro, added %verify()

Revision 1.1  2005/04/02 11:05:10  andree
- initial version
